#include "epgsearchsetup.h"
#include "epgsearchcfg.h"

const char *RedKeyMode[2];

cMenuEPGSearchSetup::cMenuEPGSearchSetup(void)
{
  RedKeyMode[0] = tr("Standard");
  RedKeyMode[1] = tr("Commands");
  Setup();
}

void cMenuEPGSearchSetup::Setup(void)
{
  int current = Current();
  Clear();
  Add(new cMenuEditBoolItem(  tr("Hide Mainmenu Entry"),         &EPGSearchConfig.hidemenu,       tr("no"),      tr("yes")));
  Add(new cMenuEditStraItem(tr("Red key"), &EPGSearchConfig.redkeymode, 2, RedKeyMode));
  SetCurrent(Get(current));
  Display();
}

void cMenuEPGSearchSetup::Store(void)
{
  SetupStore("HideMenu",  EPGSearchConfig.hidemenu);
  SetupStore("RedKeyMode",  EPGSearchConfig.redkeymode);
}

eOSState cMenuEPGSearchSetup::ProcessKey(eKeys Key)
{
  eOSState state = cMenuSetupPage::ProcessKey(Key);
  return state;
}
