#ifndef __EPGSEARCH_MENUWHATSON_H
#define __EPGSEARCH_MENUWHATSON_H

#include <vdr/menuitems.h>

// --- cMenuWhatsOnSearchItem ------------------------------------------------------

class cMenuWhatsOnSearchItem : public cOsdItem {
public:
  const cEvent *event;
  const cChannel *channel;
  cMenuWhatsOnSearchItem(const cEvent *Event, cChannel *Channel);
};

// --- cMenuWhatsOnSearch ----------------------------------------------------------

class cMenuWhatsOnSearch : public cOsdMenu {
private:
  eOSState Record(void);
  eOSState ExtendedSearch(void);
  static int currentChannel;
  static const cEvent *scheduleEvent;
public:
  cMenuWhatsOnSearch(const cSchedules *Schedules, bool Now, int CurrentChannelNr);
  static int CurrentChannel(void) { return currentChannel; }
  static void SetCurrentChannel(int ChannelNr) { currentChannel = ChannelNr; }
  static const cEvent *ScheduleEvent(void);
  virtual eOSState ProcessKey(eKeys Key); 
  virtual eOSState Switch(void);
  virtual eOSState Commands(eKeys Key);
  };

#endif
